Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp.event
Class InstrumentsDbAdapter

    java.lang.Object
      org.linuxsampler.lscp.event.InstrumentsDbAdapter

All Implemented Interfaces:
  java.util.EventListener, InstrumentsDbListener

    public class InstrumentsDbAdapter

extends java.lang.Object
implements InstrumentsDbListener

Adapter class for receiving events. This class exists as convenience for creating listener objects. The methods in this class are empty.

Constructor Summary
`InstrumentsDbAdapter()`

Method Summary
`void` | `directoryCountChanged(InstrumentsDbEvent e)` Invoked when the number of instrument directories in a specific directory has changed.
`void` | `directoryInfoChanged(InstrumentsDbEvent e)` Invoked when the settings of an instrument directory are changed.
`void` | `directoryNameChanged(InstrumentsDbEvent e)` Invoked when an instrument directory is renamed.
`void` | `instrumentCountChanged(InstrumentsDbEvent e)` Invoked when the number of instruments in a specific directory has changed.
`void` | `instrumentInfoChanged(InstrumentsDbEvent e)` Invoked when the settings of an instrument are changed.
`void` | `instrumentNameChanged(InstrumentsDbEvent e)` Invoked when an instrument is renamed.
`void` | `jobStatusChanged(InstrumentsDbEvent e)` Invoked when the status of particular job has changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstrumentsDbAdapter

    public InstrumentsDbAdapter()

Method Detail

### directoryCountChanged

    public void directoryCountChanged(InstrumentsDbEvent e)

  Invoked when the number of instrument directories in a specific directory has changed.

  Specified by:
    `directoryCountChanged` in interface `InstrumentsDbListener`

### directoryInfoChanged

    public void directoryInfoChanged(InstrumentsDbEvent e)

  Invoked when the settings of an instrument directory are changed.

  Specified by:
    `directoryInfoChanged` in interface `InstrumentsDbListener`

### directoryNameChanged

    public void directoryNameChanged(InstrumentsDbEvent e)

  Invoked when an instrument directory is renamed.

  Specified by:
    `directoryNameChanged` in interface `InstrumentsDbListener`

### instrumentCountChanged

    public void instrumentCountChanged(InstrumentsDbEvent e)

  Invoked when the number of instruments in a specific directory has changed.

  Specified by:
    `instrumentCountChanged` in interface `InstrumentsDbListener`

### instrumentInfoChanged

    public void instrumentInfoChanged(InstrumentsDbEvent e)

  Invoked when the settings of an instrument are changed.

  Specified by:
    `instrumentInfoChanged` in interface `InstrumentsDbListener`

### instrumentNameChanged

    public void instrumentNameChanged(InstrumentsDbEvent e)

  Invoked when an instrument is renamed.

  Specified by:
    `instrumentNameChanged` in interface `InstrumentsDbListener`

### jobStatusChanged

    public void jobStatusChanged(InstrumentsDbEvent e)

  Invoked when the status of particular job has changed.

  Specified by:
    `jobStatusChanged` in interface `InstrumentsDbListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.